From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/diskcache/
Date: Thu, 27 Aug 2020 07:00:27 +0000 (UTC) [thread overview]
Message-ID: <1598511616.11f5e847c841ea5d02fa1db1daca199b86a841db.mgorny@gentoo> (raw)
commit: 11f5e847c841ea5d02fa1db1daca199b86a841db
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 27 05:59:20 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug 27 07:00:16 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11f5e847
dev-python/diskcache: Bump to 5.0.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/diskcache/Manifest | 1 +
dev-python/diskcache/diskcache-5.0.2.ebuild | 37 +++++++++++++++++++++++++++++
2 files changed, 38 insertions(+)
diff --git a/dev-python/diskcache/Manifest b/dev-python/diskcache/Manifest
index 5a1674b8306..47f16ab4b2c 100644
--- a/dev-python/diskcache/Manifest
+++ b/dev-python/diskcache/Manifest
@@ -1,2 +1,3 @@
DIST diskcache-4.1.0.gh.tar.gz 658268 BLAKE2B 7712892a15e0f7b34b05c48071b4ed22f94ff4c8b6e66dff5591296d7186c686958ef3ec19994b6965319ba3e601850a1782f7ac8ed09090afda4b75ae16a12b SHA512 3871e56fa9a50942e29e200df74d7f4312d21a0f51d6be2041ce71efd3c1d0c204cc1df5ac1f92825314c742bb48bf8b0a3929cee225055903953e095701c8e3
DIST diskcache-5.0.1.gh.tar.gz 656475 BLAKE2B 1926dd40564130a24f211a1962c9a9e4ecc640ecd55d2bae5057ead787df0cc64634be8a798202702a7810612bece0d45202bb12d495da1863c8b10e645cb7fa SHA512 9e06427e8ff158fa186ed161b7e90980f1a1d866164d6018a522f80a323be981f99e4297b0d90106dfb08b5d2d0babcb5a2dafebcc194e2c282c30bcf3e0f1a1
+DIST diskcache-5.0.2.gh.tar.gz 656471 BLAKE2B d4aa7859bbefdd5aedf8bfd81ee9763890371a7667216a0d4a1728d5eacb643749adfb9f7324745f67c145ed6d61f50c449d1cc20ac9b77386aacad639fe1856 SHA512 79fc94be90517a55cd94f67b5c33279925beaf6cc38027c26603b67527b49976c3aaa80368db2671cce7deb4e933aacb8f89ed85dafe3cdc2f99862b2b49471c
diff --git a/dev-python/diskcache/diskcache-5.0.2.ebuild b/dev-python/diskcache/diskcache-5.0.2.ebuild
new file mode 100644
index 00000000000..c07ed748a13
--- /dev/null
+++ b/dev-python/diskcache/diskcache-5.0.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+HOMEPAGE="http://www.grantjenks.com/docs/diskcache/
+ https://github.com/grantjenks/python-diskcache/"
+DESCRIPTION="Disk and file backed cache"
+SRC_URI="
+ https://github.com/grantjenks/python-diskcache/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+S=${WORKDIR}/python-diskcache-${PV}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ test? (
+ >=dev-python/django-2.2[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+src_prepare() {
+ # remove dep on pytest-xdist
+ sed -i -e '/-n auto/d' tox.ini || die
+
+ distutils-r1_src_prepare
+}
next reply other threads:[~2020-08-27 7:00 UTC|newest]
Thread overview: 57+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-08-27 7:00 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-19 17:32 [gentoo-commits] repo/gentoo:master commit in: dev-python/diskcache/ Michał Górny
2024-06-19 17:32 Michał Górny
2023-10-06 15:08 Michał Górny
2023-10-06 14:31 Sam James
2023-08-31 13:22 Michał Górny
2023-05-13 16:04 Michał Górny
2023-05-13 14:50 Jakov Smolić
2023-04-19 6:34 Michał Górny
2023-04-11 17:25 Michał Górny
2022-07-15 13:45 Arthur Zamarin
2022-04-01 7:45 Michał Górny
2022-04-01 5:15 Arthur Zamarin
2022-02-26 7:49 Michał Górny
2022-02-03 21:34 Michał Górny
2022-02-03 21:00 Arthur Zamarin
2022-02-02 7:29 Sam James
2022-01-01 1:29 Michał Górny
2021-12-31 18:44 Arthur Zamarin
2021-12-31 8:17 Michał Górny
2021-11-30 20:36 Michał Górny
2021-11-30 18:46 Michał Górny
2021-11-18 12:25 Agostino Sarubbo
2021-11-18 9:09 Sam James
2021-11-18 5:37 Sam James
2021-09-08 2:24 Yixun Lan
2021-07-25 3:16 Matt Turner
2021-07-24 17:30 Michał Górny
2021-07-24 15:12 Sam James
2021-07-07 0:33 Matt Turner
2021-06-20 21:08 Sergei Trofimovich
2021-06-20 1:45 Sam James
2021-06-19 15:29 Sergei Trofimovich
2021-06-15 15:40 Sergei Trofimovich
2021-06-14 10:36 Michał Górny
2021-06-14 10:06 Michał Górny
2021-06-14 6:34 Joshua Kinard
2021-06-12 2:53 Georgy Yakovlev
2021-02-25 19:36 Michał Górny
2021-02-25 18:58 Sam James
2021-01-23 8:55 Michał Górny
2021-01-18 19:45 Sam James
2021-01-18 18:03 Sam James
2021-01-18 12:09 Michał Górny
2021-01-18 12:01 Michał Górny
2020-11-09 8:14 Michał Górny
2020-09-18 14:41 Michał Górny
2020-09-09 7:18 Michał Górny
2020-08-30 5:16 Sam James
2020-08-24 6:35 Michał Górny
2020-07-22 21:43 Steve Arnold
2020-05-04 10:48 Michał Górny
2020-04-21 8:08 Michał Górny
2020-01-25 20:54 Michał Górny
2020-01-25 20:54 Michał Górny
2018-11-18 22:00 Virgil Dupras
2017-08-14 22:32 Sebastien Fabbro
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1598511616.11f5e847c841ea5d02fa1db1daca199b86a841db.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox